Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: /proc
BuildRequires: jpackage-compat
%define oldname itext
Epoch: 1
%define with_gcj %{!?_without_gcj:1}%{?_without_gcj:0}
%define alternate_name iText

Summary:        A Free Java-PDF library
Name:           itext2
Version:        2.1.5
Release:        alt1_2jpp5
License:        (LGPLv2+ or MPLv1.1) and ASL 2.0 and BSD and MIT and LGPLv2+ and CC-BY
URL:            http://www.lowagie.com/iText/
Group:          Development/Java
Source0:        http://downloads.sourceforge.net/itext/iText-src-%{version}.tar.gz
Patch1:		itext-2.1.5-pdftk.patch
BuildRequires: ant
BuildRequires: bouncycastle-mail
BuildRequires: dom4j
BuildRequires: pdf-renderer
BuildRequires: jpackage-utils
%if %{with_gcj}
BuildRequires: java-gcj-compat-devel
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
Requires: java-1.5.0-gcj
%else
BuildArch:      noarch
%endif
Requires: bouncycastle-mail
Requires: dom4j
Requires: jpackage-utils >= 1.5
Requires: pdf-renderer
Provides:       %{alternate_name} == %{version}-%{release}

%description
iText is a library that allows you to generate 
PDF files on the fly. The iText classes are very 
useful for people who need to generate read-only, 
platform independent documents containing text, 
lists, tables and images. The library is especially 
useful in combination with Java(TM) technology-based 
Servlets: The look and feel of HTML is browser 
dependent; with iText and PDF you can control 
exactly how your servlet's output will look.

%package javadoc
Summary:        Javadoc for %{alternate_name}
Group:          Development/Java
Requires: %{name} = %{version}-%{release}
Requires: jpackage-utils
BuildArch:      noarch

%description javadoc
API documentation for the %{alternate_name} package.

%prep
%setup -q -c -T -a 0
%patch1 -p1 -b .pdftk

# Remove preshipped binaries
find . -name "*.jar" -exec rm {} \;

# Fix encoding issues
find src/rtf/com/lowagie/text/rtf/parser/destinations/ -name "*.java" -exec native2ascii {} {} \;
sed 's/\r//' src/rups/com/lowagie/rups/view/icons/copyright_notice.txt > tmpfile
touch -r src/rups/com/lowagie/rups/view/icons/copyright_notice.txt tmpfile
mv -f tmpfile src/rups/com/lowagie/rups/view/icons/copyright_notice.txt

mkdir lib
build-jar-repository -s -p lib bcprov bcmail pdf-renderer dom4j

# Remove jdk & version numbers from classpath entries
for file in src/ant/{*,.ant*}; do
 sed -i 's|bcmail-${bc.jdk}-${bc.version}.jar|bcmail.jar|g' $file
 sed -i 's|bcprov-${bc.jdk}-${bc.version}.jar|bcprov.jar|g' $file
 sed -i 's|dom4j-1.6.1.jar|dom4j.jar|g' $file
done

# Remove classpath elements from manifest
sed -i 's|<attribute name="Class-Path" value="iText-toolbox.jar iText-toolbox-${releasenumber}.jar ${lib.bcmail} ${lib.bcprov}"/>||' src/ant/compile.xml
sed -i 's|<attribute name="Class-Path" value="iText.jar iText-${releasenumber}.jar ${lib.bcmail} ${lib.bcprov}"/>||' src/ant/compile.xml

# Setting debug="on" on javac part of the build script.
sed -i 's|destdir|debug="on" destdir|g' src/ant/compile.xml
sed -i 's|debug="true"||g' src/ant/compile.xml

%build
export CLASSPATH=$(build-classpath bcprov bcmail pdf-renderer dom4j)
pushd src
ant jar javadoc
popd

%install

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p lib/iText.jar \
      $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do \
      ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

%if %{with_gcj}
 RPM_OPT_FLAGS="$RPM_OPT_FLAGS -fno-indirect-classes" %{_bindir}/aot-compile-rpm
%endif

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr build/docs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%files
%doc build/bin/com/lowagie/text/{apache_license,lgpl,misc_licenses,MPL-1.1}.txt
%doc src/rups/com/lowagie/rups/view/icons/copyright_notice.txt
%{_javadir}/*
%if %{with_gcj}
%{_libdir}/gcj/%{name}
%endif

%files javadoc
%{_javadocdir}/%{name}

# -----------------------------------------------------------------------------

%changelog
* Sat May 23 2009 Igor Vlasenko <viy@altlinux.ru> 1:2.1.5-alt1_2jpp5
- new version

* Sat Mar 14 2009 Igor Vlasenko <viy@altlinux.ru> 1:1.4-alt1_3jpp5
- doungrade due to old maven-doxia; anyway current is 2.1

* Sat Sep 22 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.4.8-alt1_0.2jpp1.7
- converted from JPackage by jppimport script
- resurrected from orphaned

* Mon Dec 25 2006 Vitaly Lipatov <lav@altlinux.ru> 1.4.8-alt0.1
- new version 1.4.8 (with rpmrb script)

* Thu Feb 16 2006 Vitaly Lipatov <lav@altlinux.ru> 1.3.6-alt0.1
- new version

* Wed Oct 12 2005 Vitaly Lipatov <lav@altlinux.ru> 1.3.4-alt0.1
- new version

* Sun Sep 11 2005 Vitaly Lipatov <lav@altlinux.ru> 1.3-alt0.1
- first build for ALT Linux Sisyphus

* Thu Aug 26 2005 Ralph Apel <r.apel at r-apel.de> - 0:1.3-1jpp
- Upgrade to 1.3
- Now one jar only

* Wed Aug 25 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.02b-2jpp
- Build with ant-1.6.2
- Relax some versioned dependencies

* Fri Feb 27 2004 Ralph Apel <r.apel at r-apel.de> - 0:1.02b-1jpp
- First JPackage release
